Summary: Tdr - topdrawer: histgram display
Name: tdr
%define version 1.7
Version: %{version}
Release: 1a
%ifarch hppa1.1
%define PREFIX /jlc/local
%define MANSEC n
%define MANEXT n
%else
%define PREFIX /usr
%define MANSEC 1
%define MANEXT 1x
%endif
Copyright: The Board of Trustees of the Leland, Stanford Junior University
Group: Applications/Math
Source: tdr-%{version}.tar.gz
Patch: tdr-%{version}_linux.patch
Packager: Keifuke Fujii <fujiik@jlcuxf.kek.jp>
BuildRoot: %{_tmppath}/tdr-root

%description
TDR  is  a  subset  of  TOPDRAWER, which displays histgrams. Currently
available devices are  "tek4010",  "necpc100",  "pc98vt",  "canonlbp",
"psl",  "psp",  "epsl", "epsp", "X", "XM", "XN" and "XMN", where "psl"
is a PostScript with a landscape format, "psp" is a PostScript with  a
portrait format, "epsl" and "epsp" are similar to "psl" and "psp", but
they will put an EPS  heading  and  BoundingBox  line  for  LaTeX  EPS
styles.  "X"  is  for color X terminals, "XM" is for black-and-white X
terminals. "XN" and "XMN" are similar to "X" and "XM", but  they  will
not create pixel map to save the X-terminal's memory and drawing time,
with a cost of no backing store function. Kermit users should  specify
"tek4010".  The  default  device  is  "tek4010".   If the -p option is
specified, a pre-processor routine is envoked and it tries to  emulate
TOPDRAWER as much as possible, but it takes time.

%prep
%setup
%ifnarch hppa1.1
%patch -p1
%endif
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/X11R6
if [ -d %{PREFIX}/X11R6.1 ];then
  ln -sf $RPM_BUILD_ROOT%{PREFIX}/X11R6 $RPM_BUILD_ROOT%{PREFIX}/X11R6.1
fi      
if [ -d %{PREFIX}/X11R6.3 ];then
  ln -sf $RPM_BUILD_ROOT%{PREFIX}/X11R6 $RPM_BUILD_ROOT%{PREFIX}/X11R6.3
fi      
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{PREFIX}/X11R6/man/man%{MANSEC}

%build
make compile CFLAGS="$RPM_OPT_FLAGS -I/usr/X11R6/include" \
	PREFIX=%{PREFIX} MAINDIR=$RPM_BUILD_DIR/tdr-%{version}
make lib PREFIX=%{PREFIX} MAINDIR=$RPM_BUILD_DIR/tdr-%{version}
make tdr PREFIX=%{PREFIX} MAINDIR=$RPM_BUILD_DIR/tdr-%{version}

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{PREFIX} \
	MAINDIR=$RPM_BUILD_DIR/tdr-%{version} \
	MANSEC=%{MANSEC} MANEXT=%{MANEXT}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{PREFIX}/X11R6/bin/tdr
%{PREFIX}/X11R6/man/man%{MANSEC}/tdr.%{MANEXT}
%doc CHANGES COPYRIGHT DISCLAIMER README README-jp SAMPLE.DAT
